<?php

namespace HelpGent\App\Providers;

defined( 'ABSPATH' ) || exit;

use HelpGent\WpMVC\Contracts\Provider;
use HelpGent\App\BackgroundServices\MediaMigrationService;

class MediaMigrationProcessorProvider implements Provider {
    public function boot() {
        add_action( 'init', [ $this, 'init_background_service' ] );
    }

    public function init_background_service(): void {
        $GLOBALS['helpgent_media_migration_service'] = helpgent_singleton( MediaMigrationService::class );
    }
}